Home > Flight Simulation, Flightsim, FSX > Reminder: FSX SP1 will not support DX10

Reminder: FSX SP1 will not support DX10

Saturday, April 14th, 2007

To correct some of the chatter out there, Phil Taylor has been clear in this post that FSX DX10 support will be in a separate release sometime after SP1.

Advertisements